## WebKitDOMTextTrackCueList

WebKitDOMTextTrackCueList

## Functions

WebKitDOMTextTrackCue * | webkit_dom_text_track_cue_list_item ()
WebKitDOMTextTrackCue * | webkit_dom_text_track_cue_list_get_cue_by_id ()
gulong | webkit_dom_text_track_cue_list_get_length ()

## Properties

gulong | length | Read

## Types and Values

| WebKitDOMTextTrackCueList

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMTextTrackCueList

## Description

## Functions

### webkit_dom_text_track_cue_list_item ()

    WebKitDOMTextTrackCue *
    webkit_dom_text_track_cue_list_item (WebKitDOMTextTrackCueList *self,
                                         gulong index);

#### Parameters

self | A WebKitDOMTextTrackCueList |
index | A gulong |

#### Returns

A WebKitDOMTextTrackCue.

[transfer none]

### webkit_dom_text_track_cue_list_get_cue_by_id ()

    WebKitDOMTextTrackCue *
    webkit_dom_text_track_cue_list_get_cue_by_id
                                   (WebKitDOMTextTrackCueList *self,
                                    const gchar *id);

#### Parameters

self | A WebKitDOMTextTrackCueList |
id | A gchar |

#### Returns

A WebKitDOMTextTrackCue.

[transfer none]

### webkit_dom_text_track_cue_list_get_length ()

    gulong
    webkit_dom_text_track_cue_list_get_length
                                   (WebKitDOMTextTrackCueList *self);

#### Parameters

self | A WebKitDOMTextTrackCueList |

#### Returns

A gulong

## Types and Values

### WebKitDOMTextTrackCueList

    typedef struct _WebKitDOMTextTrackCueList WebKitDOMTextTrackCueList;

## Property Details

### The `“length”` property

      “length”                   gulong

read-only gulong TextTrackCueList:length.

Flags: Read